package com.ruoyi.service.domain;


import com.ruoyi.service.constants.SignatureVersion;

public class AuthInfo {
    private String userId = "";
    private String signature = "";
    private String signatureVersion;
    private String encoding;
    private long timeStamp;

    public AuthInfo(String userId, String signatureVersion, String encoding) {
        this.signatureVersion = SignatureVersion.VERSION2.getCode();
        this.encoding = "UTF-8";
        this.timeStamp = System.currentTimeMillis();
        this.userId = userId;
        this.signatureVersion = signatureVersion;
        this.encoding = encoding;
    }

    public String getUserId() {
        return this.userId;
    }

    public String getSignature() {
        return this.signature;
    }

    public String getSignatureVersion() {
        return this.signatureVersion;
    }

    public String getEncoding() {
        return this.encoding;
    }

    public long getTimeStamp() {
        return this.timeStamp;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public void setSignatureVersion(String signatureVersion) {
        this.signatureVersion = signatureVersion;
    }

    public void setEncoding(String encoding) {
        this.encoding = encoding;
    }

    public void setTimeStamp(long timeStamp) {
        this.timeStamp = timeStamp;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof com.ruoyi.service.domain.AuthInfo)) {
            return false;
        } else {
            com.ruoyi.service.domain.AuthInfo other = (com.ruoyi.service.domain.AuthInfo)o;
            if (!other.canEqual(this)) {
                return false;
            } else if (this.getTimeStamp() != other.getTimeStamp()) {
                return false;
            } else {
                label61: {
                    Object this$userId = this.getUserId();
                    Object other$userId = other.getUserId();
                    if (this$userId == null) {
                        if (other$userId == null) {
                            break label61;
                        }
                    } else if (this$userId.equals(other$userId)) {
                        break label61;
                    }

                    return false;
                }

                label54: {
                    Object this$signature = this.getSignature();
                    Object other$signature = other.getSignature();
                    if (this$signature == null) {
                        if (other$signature == null) {
                            break label54;
                        }
                    } else if (this$signature.equals(other$signature)) {
                        break label54;
                    }

                    return false;
                }

                Object this$signatureVersion = this.getSignatureVersion();
                Object other$signatureVersion = other.getSignatureVersion();
                if (this$signatureVersion == null) {
                    if (other$signatureVersion != null) {
                        return false;
                    }
                } else if (!this$signatureVersion.equals(other$signatureVersion)) {
                    return false;
                }

                Object this$encoding = this.getEncoding();
                Object other$encoding = other.getEncoding();
                if (this$encoding == null) {
                    if (other$encoding != null) {
                        return false;
                    }
                } else if (!this$encoding.equals(other$encoding)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof com.ruoyi.service.domain.AuthInfo;
    }

    public int hashCode() {
        int PRIME = 1;
        int result = 1;
        long $timeStamp = this.getTimeStamp();
        result = result * 59 + (int)($timeStamp >>> 32 ^ $timeStamp);
        Object $userId = this.getUserId();
        result = result * 59 + ($userId == null ? 43 : $userId.hashCode());
        Object $signature = this.getSignature();
        result = result * 59 + ($signature == null ? 43 : $signature.hashCode());
        Object $signatureVersion = this.getSignatureVersion();
        result = result * 59 + ($signatureVersion == null ? 43 : $signatureVersion.hashCode());
        Object $encoding = this.getEncoding();
        result = result * 59 + ($encoding == null ? 43 : $encoding.hashCode());
        return result;
    }

    public String toString() {
        return "AuthInfo(userId=" + this.getUserId() + ", signature=" + this.getSignature() + ", signatureVersion=" + this.getSignatureVersion() + ", encoding=" + this.getEncoding() + ", timeStamp=" + this.getTimeStamp() + ")";
    }

    public AuthInfo() {
        this.signatureVersion = SignatureVersion.VERSION2.getCode();
        this.encoding = "UTF-8";
        this.timeStamp = System.currentTimeMillis();
    }
}
