package com.ruoyi.service.domain;


import com.ruoyi.service.domain.APIRequestDTO;
import com.ruoyi.service.domain.DataQuery;
import com.ruoyi.service.domain.ServiceRequestFieldDTO;
import com.ruoyi.service.domain.SortDTO;
import com.ruoyi.service.utils.Tools;
import java.util.ArrayList;
import java.util.List;

public class DataServiceRequestDTO extends APIRequestDTO {
    private String nextToken = "";
    private int size = 10;
    private boolean includeColumns = false;
    private List<com.ruoyi.service.domain.ServiceRequestFieldDTO> queryFields;
    private com.ruoyi.service.domain.DataQuery dataQuery;
    private List<SortDTO> sorts;

    public DataServiceRequestDTO() {
    }

    public DataServiceRequestDTO(String nextToken, int size, boolean includeColumns, List<com.ruoyi.service.domain.ServiceRequestFieldDTO> queryFields, List<SortDTO> sorts) {
        this.nextToken = nextToken;
        this.size = size;
        this.includeColumns = includeColumns;
        this.queryFields = queryFields;
        this.sorts = sorts;
    }

    public DataServiceRequestDTO(String nextToken, int size, boolean includeColumns, com.ruoyi.service.domain.DataQuery dataQuery, List<SortDTO> sorts) {
        this.nextToken = nextToken;
        this.size = size;
        this.includeColumns = includeColumns;
        this.dataQuery = dataQuery;
        this.sorts = sorts;
    }

    public DataServiceRequestDTO(String nextToken, int size, boolean includeColumns, com.ruoyi.service.domain.DataQuery dataQuery, List<com.ruoyi.service.domain.ServiceRequestFieldDTO> queryFields, List<SortDTO> sorts) {
        this.nextToken = nextToken;
        this.size = size;
        this.includeColumns = includeColumns;
        this.dataQuery = dataQuery;
        this.queryFields = queryFields;
        this.sorts = sorts;
    }

    public String getNextToken() {
        return this.nextToken;
    }

    public int getSize() {
        return this.size;
    }

    public boolean isIncludeColumns() {
        return this.includeColumns;
    }

    public List<com.ruoyi.service.domain.ServiceRequestFieldDTO> getQueryFields() {
        return this.queryFields;
    }

    public com.ruoyi.service.domain.DataQuery getDataQuery() {
        return this.dataQuery;
    }

    public List<SortDTO> getSorts() {
        return this.sorts;
    }

    public static class Builder {
        private String nextToken = "";
        private int size = 10;
        private boolean includeColumns = false;
        private List<com.ruoyi.service.domain.ServiceRequestFieldDTO> queryFields;
        private List<SortDTO> sorts;
        private com.ruoyi.service.domain.DataQuery dataQuery;

        public Builder() {
        }

        public com.ruoyi.service.domain.DataServiceRequestDTO.Builder nextToken(String nextToken) {
            this.nextToken = nextToken;
            return this;
        }

        public com.ruoyi.service.domain.DataServiceRequestDTO.Builder size(int size) {
            this.size = size;
            return this;
        }

        public com.ruoyi.service.domain.DataServiceRequestDTO.Builder includeColumns(boolean includeColumns) {
            this.includeColumns = includeColumns;
            return this;
        }

        public com.ruoyi.service.domain.DataServiceRequestDTO.Builder dataQuery(DataQuery dataQuery) {
            this.dataQuery = dataQuery;
            return this;
        }

        /** @deprecated */
        @Deprecated
        public com.ruoyi.service.domain.DataServiceRequestDTO.Builder queryFields(List<com.ruoyi.service.domain.ServiceRequestFieldDTO> queryFields) {
            this.queryFields = queryFields;
            return this;
        }

        /** @deprecated */
        @Deprecated
        public com.ruoyi.service.domain.DataServiceRequestDTO.Builder query(ServiceRequestFieldDTO queryField) {
            if (Tools.isNull(this.queryFields)) {
                this.queryFields = new ArrayList();
            }

            this.queryFields.add(queryField);
            return this;
        }

        public com.ruoyi.service.domain.DataServiceRequestDTO.Builder sorts(List<SortDTO> sorts) {
            this.sorts = sorts;
            return this;
        }

        public com.ruoyi.service.domain.DataServiceRequestDTO.Builder sort(SortDTO sort) {
            if (Tools.isNull(this.sorts)) {
                this.sorts = new ArrayList();
            }

            this.sorts.add(sort);
            return this;
        }

        public com.ruoyi.service.domain.DataServiceRequestDTO build() {
            return new com.ruoyi.service.domain.DataServiceRequestDTO(this.nextToken, this.size, this.includeColumns, this.dataQuery, this.queryFields, this.sorts);
        }
    }
}

