package com.ruoyi.service.utils;


import com.ruoyi.service.utils.Tools;
import okhttp3.MediaType;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;
//import org.apache.commons.lang.exception.ExceptionUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class HttpUtils {
    private static final Logger logger = LoggerFactory.getLogger(com.ruoyi.service.utils.HttpUtils.class);

    public HttpUtils() {
    }

    public static Request createHttpRequest(String url, String jsonContent) {
        Request.Builder builder = new Request.Builder();
        RequestBody body = RequestBody.create(MediaType.parse("application/json;charset=utf-8"), jsonContent);
        return builder.url(url).post(body).build();
    }

    public static String readBody(Response response) {
        String responseBody = "";
        if (Tools.isNull(response)) {
            return responseBody;
        } else {
            String var8;
            try {
                if (!response.isSuccessful()) {
                    throw new RuntimeException(response.body().string());
                }

                var8 = response.body().string();
            } catch (Exception var6) {
                Exception ex = var6;
                logger.error("okhttp response error >> ex = {}", ex);
                throw new RuntimeException(ex);
            } finally {
                if (response != null) {
                    response.close();
                }

            }

            return var8;
        }
    }
}

